> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a money transaction

> Retrieve a money transaction. <h3>OAuth</h3>Required scopes: <code>transactions.readonly</code> or <code>transactions</code>



## OpenAPI

````yaml /assets/openapi.json get /transactions/money/v1/{id}
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /transactions/money/v1/{id}:
    get:
      tags:
        - Transactions
      summary: Retrieve a money transaction
      description: >-
        Retrieve a money transaction. <h3>OAuth</h3>Required scopes:
        <code>transactions.readonly</code> or <code>transactions</code>
      operationId: getMoneyTransaction
      parameters:
        - name: id
          in: path
          description: The id of the transaction
          schema:
            type: string
            format: uuid
          required: true
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction:
                    $ref: '#/components/schemas/transaction'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - BasicAuth: []
        - OAuth2:
            - transactions.readonly
            - transactions
components:
  schemas:
    transaction:
      type: object
      properties:
        amount:
          type: number
        booking:
          type: object
          properties:
            id:
              type: string
              format: uuid
            resource:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                title:
                  type: string
            price:
              type: object
              properties:
                netAmount:
                  type: number
                taxAmount:
                  type: number
        company:
          $ref: '#/components/schemas/company'
        createDate:
          $ref: '#/components/schemas/dateSchema'
        creditPackage:
          type: object
          properties:
            amount:
              type: number
            price:
              type: object
              properties:
                netAmount:
                  type: number
                taxAmount:
                  type: number
        currencyCode:
          type: string
        id:
          type: string
          format: uuid
        invoice:
          type: object
          properties:
            id:
              type: string
              format: uuid
            title:
              type: string
        locationRef:
          type: string
          format: uuid
        membershipRef:
          type: string
          format: uuid
        order:
          type: object
          properties:
            id:
              type: string
              format: uuid
            option:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                name:
                  type: string
            price:
              type: object
              properties:
                netAmount:
                  type: number
                taxAmount:
                  type: number
            product:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                title:
                  type: string
        paymentMethod:
          type: object
          properties:
            label:
              type: string
            type:
              type: string
              enum:
                - external
                - flow
                - fondy
                - freedompay
                - kakaopay
                - mercadopago
                - paypal
                - paystack
                - plata
                - stripe
                - tap
                - wayforpay
        plan:
          type: object
          properties:
            id:
              type: string
              format: uuid
            title:
              type: string
        refund:
          type: object
          properties:
            amount:
              type: number
            createDate:
              $ref: '#/components/schemas/dateSchema'
        status:
          type: string
          enum:
            - canceled
            - failed
            - pending
            - processing
            - succeeded
        ticket:
          type: object
          properties:
            createDate:
              $ref: '#/components/schemas/dateSchema'
            id:
              type: string
              format: uuid
            event:
              type: object
              properties:
                endDate:
                  $ref: '#/components/schemas/dateSchema'
                id:
                  type: string
                  format: uuid
                startDate:
                  $ref: '#/components/schemas/dateSchema'
                title:
                  type: string
            price:
              type: object
              properties:
                netAmount:
                  type: number
                taxAmount:
                  type: number
        type:
          type: string
        user:
          $ref: '#/components/schemas/user'
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
    company:
      type: object
      properties:
        billingAddress:
          type: string
        businessAddress:
          type: object
          properties:
            city:
              type: string
            countryCode:
              type: string
            line1:
              type: string
            line2:
              type: string
            postalCode:
              type: string
            state:
              type: string
        createDate:
          $ref: '#/components/schemas/dateSchema'
        credits:
          type: object
          properties:
            expiring:
              type: number
            permanent:
              type: number
        dayPasses:
          type: object
          properties:
            expiring:
              type: number
        deleteDate:
          $ref: '#/components/schemas/dateSchema'
        id:
          type: string
        legalName:
          type: string
        locationRef:
          type: string
          format: uuid
        metadata:
          $ref: '#/components/schemas/metadata'
        notes:
          type: string
        subscriptionRef:
          type: string
          format: uuid
        taxId:
          type: string
        title:
          type: string
    dateSchema:
      format: date-time
      type: string
      description: The date and time in ISO 8601 format, e.g. 2021-05-21T10:00:00Z
    user:
      type: object
      properties:
        about:
          type: string
        email:
          type: string
        id:
          type: string
          format: uuid
        name:
          type: string
        phoneNumber:
          type: string
        photoUrl:
          type: string
        surname:
          type: string
    metadata:
      type: object
      description: Use to attach key-value data to the object. Available only for admins.
  securitySchemes:
    BasicAuth:
      type: http
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#basic-authentication)
        for how to authorize your requests
      scheme: basic
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://api.spacebring.com/oauth2/authorize
          tokenUrl: https://api.spacebring.com/oauth2/token
          refreshUrl: https://api.spacebring.com/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read invoices
            invoices: Read and write invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````